CREATE OR REPLACE PROCEDURE sp_fco_cambio_traslados_fpo
(
i_compania		char,
i_trabajador		char,
i_fpo_actual		char,
i_fpo_nueva		char,
i_fecha_cambio		date)
AS
BEGIN
    UPDATE fco_traslados_fpo
    SET 	
    fpo_actual = i_fpo_actual,
    fpo_nueva   = i_fpo_nueva,
    estado = 2
    WHERE compania = i_compania
    AND trabajador = i_trabajador
    AND fecha_cambio  = i_fecha_cambio;
    
    COMMIT;
	
END;
/
CREATE PUBLIC SYNONYM sp_fco_cambio_traslados_fpo FOR ADAM.sp_fco_cambio_traslados_fpo;
GRANT EXECUTE ON sp_fco_cambio_traslados_fpo TO adama;
